<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Multipurpose News/Articles/Photos Panel
| Version: 1.0
| Filename: multipurpose_nap_panel.php
| Author: Ankur Thakur
+--------------------------------------------------------+
| PHP-Fusion Latest Articles Panel
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."multipurpose_nap_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."multipurpose_nap_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."multipurpose_nap_panel/locale/English.php";
}

openside($locale['nap_title']);

echo "<link rel='stylesheet' type='text/css' href='".INCLUDES."css/contentslider.css' />";
echo "<script type='text/javascript' src='".INCLUDES."jscripts/contentslider.js'></script>";

$trimlength = 20; // Set the Trimming Length of Text upto no of characters you want

echo "<div id='paginate-slider1' class='pagination'></div><br />
<div id='slider1' class='sliderwrapper'>
<div class='contentdiv'>";

$result = dbquery("SELECT news_id, news_subject FROM ".DB_NEWS." ORDER BY news_datestamp DESC LIMIT 0,5");

if (dbrows($result)) {
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['news_subject'], $trimlength);
		echo THEME_BULLET." <a href='".BASEDIR."news.php?readmore=".$data['news_id']."' title='".$data['news_subject']."' class='side'>$itemsubject</a><br />\n";
	}
} else {
	echo "<div style='text-align:center'>".$locale['nnp']."</div>\n";
}

echo "</div>

<div class='contentdiv'>";

$result = dbquery("SELECT article_id, article_subject FROM ".DB_ARTICLES." ORDER BY article_datestamp DESC LIMIT 0,5");

if (dbrows($result)) {
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['article_subject'], $trimlength);
		echo THEME_BULLET." <a href='".BASEDIR."articles.php?article_id=".$data['article_id']."' title='".$data['article_subject']."' class='side'>$itemsubject</a><br />\n";
	}
} else {
	echo "<div style='text-align:center'>".$locale['nap']."</div>\n";
}

echo "</div>

<div class='contentdiv'>";

$result = dbquery("SELECT photo_id, photo_title FROM ".DB_PHOTOS." ORDER BY photo_datestamp DESC LIMIT 0,5");

if (dbrows($result)) {
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['photo_title'], $trimlength);
		echo THEME_BULLET." <a href='".BASEDIR."photogallery.php?photo_id=".$data['photo_id']."' title='".$data['photo_title']."' class='side'>$itemsubject</a><br />\n";
	}
} else {
	echo "<div style='text-align:center'>".$locale['npp']."</div>\n";
}

echo "</div>
</div>";

echo "<script type='text/javascript'>

featuredcontentslider.init({
	id: 'slider1',  //id of main slider DIV
	contentsource: ['inline', ''],  //Valid values: ['inline', ''] or ['ajax', 'path_to_file']
	toc: ['', '', ''],  //Valid values: '#increment', 'markup', ['label1', 'label2', etc]
	nextprev: ['', ''],  //labels for 'prev' and 'next' links. Set to '' to hide.
	revealtype: 'click', //Behavior of pagination links to reveal the slides: 'click' or 'mouseover'
	enablefade: [true, 0.2],  //[true/false, fadedegree]
	autorotate: [true, 5000],  //[true/false, pausetime]
	onChange: function(previndex, curindex){  //event handler fired whenever script changes slide
		//previndex holds index of last slide viewed b4 current (1=1st slide, 2nd=2nd etc)
		//curindex holds index of currently shown slide (1=1st slide, 2nd=2nd etc)
	}
})

</script>";

closeside();

?>